Index: src/device.h
===================================================================
--- src/device.h	(revision 231)
+++ src/device.h	(working copy)
@@ -23,6 +23,9 @@
  * 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
  *****************************************************************************/
 
+#ifndef DVDCSS_DEVICE_H
+#define DVDCSS_DEVICE_H
+
 /*****************************************************************************
  * iovec structure: vectored data entry
  *****************************************************************************/
@@ -56,3 +61,4 @@
 int _dvdcss_raw_open     ( dvdcss_t, char const * );
 #endif
 
+#endif /* DVDCSS_DEVICE_H */
Index: src/ioctl.h
===================================================================
--- src/ioctl.h	(revision 231)
+++ src/ioctl.h	(working copy)
@@ -21,6 +21,9 @@
  * 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
  *****************************************************************************/
 
+#ifndef DVDCSS_IOCTL_H
+#define DVDCSS_IOCTL_H
+
 int ioctl_ReadCopyright     ( int, int, int * );
 int ioctl_ReadDiscKey       ( int, int *, uint8_t * );
 int ioctl_ReadTitleKey      ( int, int *, int, uint8_t * );
@@ -427,3 +432,5 @@
 #pragma pack()
 
 #endif
+
+#endif /* DVDCSS_IOCTL_H */
Index: src/libdvdcss.h
===================================================================
--- src/libdvdcss.h	(revision 231)
+++ src/libdvdcss.h	(working copy)
@@ -22,6 +22,9 @@
  * 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
  *****************************************************************************/
 
+#ifndef DVDCSS_LIBDVDCSS_H
+#define DVDCSS_LIBDVDCSS_H
+
 struct iovec;
 
 /*****************************************************************************
@@ -102,3 +110,4 @@
 
 void _print_error ( dvdcss_t, char * );
 
+#endif /* DVDCSS_LIBDVDCSS_H */
Index: src/csstables.h
===================================================================
--- src/csstables.h	(revision 231)
+++ src/csstables.h	(working copy)
@@ -29,7 +29,9 @@
  * 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
  *****************************************************************************/
 
+#ifndef DVDCSS_CSSTABLES_H
+#define DVDCSS_CSSTABLES_H
 
 static uint8_t p_css_tab1[ 256 ] =
 {
     0x33, 0x73, 0x3b, 0x26, 0x63, 0x23, 0x6b, 0x76,
@@ -390,3 +394,4 @@
     0xC3, 0x82, 0xC9, 0x15, 0x57, 0x16, 0x5D, 0x81
 };
 
+#endif /* DVDCSS_CSSTABLES_H */
Index: src/common.h
===================================================================
--- src/common.h	(revision 231)
+++ src/common.h	(working copy)
@@ -24,6 +24,9 @@
  * 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
  *****************************************************************************/
 
+#ifndef DVDCSS_COMMON_H
+#define DVDCSS_COMMON_H
+
 /*****************************************************************************
  * Basic types definitions
  *****************************************************************************/
@@ -79,3 +82,4 @@
 
 #endif
 
+#endif /* DVDCSS_COMMON_H */
Index: src/css.h
===================================================================
--- src/css.h	(revision 231)
+++ src/css.h	(working copy)
@@ -26,6 +26,10 @@
  * with libdvdcss; if not, write to the Free Software Foundation, Inc.,
  * 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
  *****************************************************************************/
+
+#ifndef DVDCSS_CSS_H
+#define DVDCSS_CSS_H
+
 #define KEY_SIZE 5
 
 typedef uint8_t dvd_key_t[KEY_SIZE];
@@ -54,3 +62,4 @@
 int   _dvdcss_titlekey    ( dvdcss_t, int , dvd_key_t );
 int   _dvdcss_unscramble  ( uint8_t *, uint8_t * );
 
+#endif /* DVDCSS_CSS_H */
